### Struct

# Gsk Stroke

since: 4.14

#### Description [src]

    struct GskStroke {
      /* No available fields */
    }

Collects the parameters that are needed when stroking a path.

Available since: 4.14

#### Constructors

###### gsk_stroke_new

Creates a new `GskStroke` with the given `line_width`.

since: 4.14

#### Functions

###### gsk_stroke_equal

Checks if two strokes are identical.

since: 4.14

#### Instance methods

###### gsk_stroke_copy

Creates a copy of a `GskStroke`.

since: 4.14

###### gsk_stroke_free

Frees a `GskStroke`.

since: 4.14

###### gsk_stroke_get_dash

Gets the dash array in use.

since: 4.14

###### gsk_stroke_get_dash_offset

Gets the dash offset.

since: 4.14

###### gsk_stroke_get_line_cap

Gets the line cap used.

since: 4.14

###### gsk_stroke_get_line_join

Gets the line join used.

since: 4.14

###### gsk_stroke_get_line_width

Gets the line width used.

since: 4.14

###### gsk_stroke_get_miter_limit

Gets the miter limit.

since: 4.14

###### gsk_stroke_set_dash

Sets the dash pattern to use.

since: 4.14

###### gsk_stroke_set_dash_offset

Sets the offset into the dash pattern where dashing should begin.

since: 4.14

###### gsk_stroke_set_line_cap

Sets the line cap to be used when stroking.

since: 4.14

###### gsk_stroke_set_line_join

Sets the line join to be used when stroking.

since: 4.14

###### gsk_stroke_set_line_width

Sets the line width to be used when stroking.

since: 4.14

###### gsk_stroke_set_miter_limit

Sets the miter limit to be used when stroking.

since: 4.14

###### gsk_stroke_to_cairo

A helper function that sets the stroke parameters of a cairo context from a `GskStroke`.

since: 4.14